MozillaZine

Trouble Installing new version of SeaMonkey (Linux)

User Help for Seamonkey and Mozilla Suite
Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 14th, 2015, 9:23 pm

Hi, I just installed (or I thought I did!) the new version of SeaMonkey, but my system says I still have version 2.25! I used the installer and then extracted the file, but somehow it didn't "take"! Can you tell me what I need to do? Thanks in advance.
Last edited by DanRaisch on October 15th, 2015, 4:15 am, edited 1 time in total.
Reason: "(Linux)" added to subject line.

DanRaisch
Moderator

User avatar
 
Posts: 117346
Joined: September 23rd, 2004, 8:57 pm
Location: Somewhere on the right coast

Post Posted October 15th, 2015, 4:16 am

Moving from SeaMonkey Builds to SeaMonkey Support.

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 5:08 am

Excuse me? I didn't understand the implication in the last post. I'm already in SeaMonkey Support, no??

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 5:16 am

I am wondering if version 2.38 is not compatible with my computer. I have a Lenovo Thinkpad T400. I would think it should work fine
with it. I have Xubuntu 14.04.

DanRaisch
Moderator

User avatar
 
Posts: 117346
Joined: September 23rd, 2004, 8:57 pm
Location: Somewhere on the right coast

Post Posted October 15th, 2015, 5:24 am

You initially posted in the SeaMonkey General forum and I moved the post to SeaMonkey Support where those most likely to be able to provide guidance are likely to see it.

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 5:54 am

Excuse me, but I had it in "Support" initially. You moved it to "SeaMonkey Builds." Do you want me to go back to Support now? Either way is fine with me. Just be clear. Thank you.

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 5:58 am

On a related note, I'm wondering why it is that Adblock Plus is no longer compatible with any of the Mozilla formats? That is part of what was prompting me to update my version of SeaMonkey. Now I learn that it's not functioning on any of the browsers. This was such a fine program! What are we supposed to use in its stead?

DanRaisch
Moderator

User avatar
 
Posts: 117346
Joined: September 23rd, 2004, 8:57 pm
Location: Somewhere on the right coast

Post Posted October 15th, 2015, 6:04 am

Nope, I just checked the logs to confirm my memory. You posted to SeaMonkey General.

Were you using the latest version of AdBlock Plus? https://addons.mozilla.org/en-US/seamon ... lock-plus/

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 6:14 am

No, I have an older version. I still have SeaMonkey 2.25 which is not compatible with that latest version. But I read something that said Adblock Plus is no longer functioning with any Mozilla browsers...is that not true?

therube

User avatar
 
Posts: 17527
Joined: March 10th, 2004, 9:59 pm
Location: Maryland USA

Post Posted October 15th, 2015, 7:25 am

The current version of ABP, 2.6.11, states:
Code: Select all
<!-- seamonkey -->
        <em:id>{92650c4d-4b8e-4d2a-b7eb-24ecf4f6b63a}</em:id>
        <em:minVersion>2.26</em:minVersion>
        <em:maxVersion>2.39</em:maxVersion>


Actually, I've probably got that backwards (to a point).
Most likely your old (unnamed) version of ABP is not compatible with current SeaMonkey.

So no it will not run in SeaMonkey 2.25 as that is less then the specified minVersion.
A current browser with a current extension should not be an issue.
Mix & match & use a 1-1/2 year old browser & no telling what might or might not work.

Backup your Profile.
And no telling (at least I sure don't remember) what kinds of issues there might be (have been) when going from something so old to something current.
Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US; rv:1.9.1.19) Gecko/20110420 SeaMonkey/2.0.14 Pinball CopyURL+ FetchTextURL FlashGot NoScript

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 7:44 am

Okay, so my question was--and remains--how do I update to the current version of SeaMonkey? Do I have to first uninstall what I have and then do a fresh install, or can I install on top of my existing version. Thanks again!

WaltS48

User avatar
 
Posts: 3396
Joined: May 7th, 2010, 9:38 am
Location: Pennsylvania, USA

Post Posted October 15th, 2015, 8:00 am

I would uninstall the old version and do a fresh install of SeaMonkey 2.38.
Linux Desktop - AMD Athlon(tm) II X3 455 3.3GHz | 8.0GB RAM | GeForce GT 630
Windows Notebook - AMD A8 7410 2.2GHz | 6.0GB RAM | AMD Radeon R5

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 8:56 am

Is it impossible to do an install over the existing version I have? It would certainly make things A LOT easier! Will Adblock Plus work with 2.38?

Wuxin
 
Posts: 69
Joined: February 4th, 2011, 9:47 am

Post Posted October 15th, 2015, 9:11 am

Please tell me this: Why is it that Adblock Plus is still working on my desktop that also has SeaMonkey??! It is there and functioning, as far as I know.

barbaz
 
Posts: 1664
Joined: October 1st, 2014, 3:25 pm

Post Posted October 15th, 2015, 10:41 am

Where did you get SeaMonkey? There is no official "installer" for Linux, just a tarball. And you are running Linux x86_64 so if you want it to run (as opposed to "file not found" or the like) you either need a 64-bit SeaMonkey build (which is "official contributed build") or the 32-bit libraries. Also how are you running SeaMonkey, what is your $PATH, and where are you extract the tarball? And what happens when you do try to run SeaMonkey 2.38 ?
*Always* check the changelogs BEFORE updating that important software!

Return to SeaMonkey Support


Who is online

Users browsing this forum: No registered users and 3 guests